netsrpms: remove openmamba-netsrpms parts moved to netsrpms package

This commit is contained in:
Silvan Calarco 2022-06-25 11:37:28 +02:00
parent ed120a39b0
commit eeef9592f2
20 changed files with 1 additions and 511 deletions

View File

@ -6,19 +6,6 @@ include VERSION
ARCH:=`uname -i`
ifeq ($(ARCH), arm)
SRPMSVERSIONSFILE = SRPMSVERSIONS.arm
pck_srpms = b43-firmware
else
ifeq ($(ARCH), x86_64)
SRPMSVERSIONSFILE = SRPMSVERSIONS
pck_srpms = msttcorefonts skype b43-firmware virtualbox-extension-pack \
chromium-widevine
else
SRPMSVERSIONSFILE = SRPMSVERSIONS
pck_srpms = msttcorefonts skype b43-firmware virtualbox-extension-pack
endif
endif
PACKAGE = desktop-base-openmamba
DISTROID = openmamba
@ -26,11 +13,6 @@ RPM_VENDOR = openmamba
RPM_DISTRIBUTION = openmamba
RPM_DISTROEXT = mamba
SYSCONFIGFILE = netsrpminstall
#SCREENSAVER = $(DISTROid).desktop
SCREENSAVER =
DISTROid = $(shell echo $(DISTROID) | tr A-Z a-z)
DISTROICON = $(DISTROid)
@ -104,8 +86,7 @@ pck_catalogs := $(wildcard openmamba-update/po/*.po)
s,@libexecdir@,$(libexecdir),g;\
s,@distrobindir@,$(distrobindir),g;\
s,@distrodesktopdir@,$(distrodesktopdir),g;\
s,@distrosrpmsdir@,$(distrosrpmsdir),g;\
s,@screensaver@,${SCREENSAVER},g" $< > $@
s,@distrosrpmsdir@,$(distrosrpmsdir),g" $< > $@
all: dist-update locales
@ -137,33 +118,6 @@ install-kde-distro-addons: dist-update
cp -r etc/sudoers.d $(DESTDIR)$(sysconfdir)/
cp -r etc/sysconfig $(DESTDIR)$(sysconfdir)/
install-distromenu: dist-update
@$(INSTALL_DIR) $(DESTDIR)$(xdg_directorydir)
$(INSTALL_DATA) menu/applications/distroutils.directory \
$(DESTDIR)$(xdg_directorydir)/$(DISTROID).directory
$(INSTALL_DATA) menu/applications/distroutils-netinstall.directory \
$(DESTDIR)$(xdg_directorydir)/$(DISTROID)-NetInstall.directory
@$(INSTALL_DIR) $(DESTDIR)$(xdg_mergedmenudir)
$(INSTALL_DATA) menu/applications/distroutils.menu \
$(DESTDIR)$(xdg_mergedmenudir)/$(DISTROid).menu
@$(INSTALL_DIR) $(DESTDIR)$(xdg_appsdir)
for pck in $(pck_srpms); do\
$(INSTALL_DATA) menu/applications/netinstall/$$pck.desktop \
$(DESTDIR)$(xdg_appsdir)/$(DISTROid)-$$pck.desktop;\
done
install-srpms:
@$(INSTALL_DIR) $(DESTDIR)$(distrosrpmsdir)
@$(INSTALL_DIR) $(DESTDIR)$(sysconfigdir)
@cat $(SRPMSVERSIONSFILE) > $(DESTDIR)$(sysconfigdir)/$(SYSCONFIGFILE)
for pck in $(pck_srpms); do\
cp -a SRPMS/$$pck $(DESTDIR)$(distrosrpmsdir); \
rm -f $(DESTDIR)$(distrosrpmsdir)/$$pck/distroutils.sysconfig*; \
rm -f $(DESTDIR)$(distrosrpmsdir)/$$pck/*.spec.in; \
cat SRPMS/$$pck/$(pck_sysconfigfile) >> \
$(DESTDIR)$(sysconfigdir)/$(SYSCONFIGFILE);\
done
install-openmamba-makereport:
$(INSTALL_SCRIPT) openmamba-makereport/openmamba-makereport $(DESTDIR)$(bindir)
@ -175,12 +129,9 @@ install-desktop:
install-openmamba-update:
@$(INSTALL_DIR) $(DESTDIR)$(bindir)
$(INSTALL_SCRIPT) openmamba-update/openmamba-update $(DESTDIR)$(bindir)
$(INSTALL_SCRIPT) openmamba-update/openmamba-netsrpms $(DESTDIR)$(bindir)
install: $(pck_infiles:.in=) \
install-kde-distro-addons \
install-distromenu \
install-srpms \
install-desktop \
install-openmamba-update \
install-openmamba-makereport \

View File

@ -1,48 +0,0 @@
# b43-firmware
SRPMVERSION["b43-firmware"]=4.150.10.5
SRPMRELEASE["b43-firmware"]=1mamba
# flashplugin
if [ ! "$SRPMCHECK" -o "$SRPMCHECK" = "flashplugin" ]; then
SRPMVERSION["flashplugin"]="`curl --max-time 20 -sL http://www.adobe.com/software/flash/about/ | grep -A10 "Linux" | grep -A3 "NPAPI" | grep "[0-9]\.[0-9]\.[0-9]" | sed -e 's/[[:space:]]*<[^>][^>]*>//g;s/[[:space:]]//' 2>/dev/null`"
SRPMRELEASE["flashplugin"]=1mamba
fi
# msttcorefonts
SRPMVERSION["msttcorefonts"]=1.3
SRPMRELEASE["msttcorefonts"]=7mamba
# skype
if [ ! "$SRPMCHECK" -o "$SRPMCHECK" = "skype" ]; then
SRPMVERSION["skype"]="`curl --max-time 20 -sLI "http://www.skype.com/go/getskype-linux-beta-dynamic"|grep "linux/skype-"|sed "s|.*skype-\(.*\)\.tar\..*|\1|"|grep -v "\.\.0\." 2>/dev/null`"
SRPMRELEASE["skype"]=2mamba
fi
# spotify
if [ "`uname -m`" == "x86_64" ]; then
SRPMVERSION["spotify"]=20150629
else
SRPMVERSION["spotify"]=0
fi
SRPMRELEASE["spotify"]=1mamba
# sun-java
if [ ! "$SRPMCHECK" -o "$SRPMCHECK" = "sun-java8" -o "$SRPMCHECK" = "sun-java" ]; then
SRPMVERSION["sun-java"]="`curl --max-time 20 -sL https://www.oracle.com/technetwork/java/javase/downloads/jdk12-downloads-5295953.html|grep "linux-x64_bin.tar.gz"|tail -n1|sed "s|.*jdk-\([.0-9-]*\).*|\1|;s|-|_|" 2>/dev/null`"
SRPMRELEASE["sun-java"]=1mamba
fi
# virtualbox-extension-pack
if [ ! "$SRPMCHECK" -o "$SRPMCHECK" = "virtualbox-extension-pack" ]; then
SRPMVERSION["virtualbox-extension-pack"]="`rpm -q VirtualBox 2>/dev/null| cut -d- -f2`"
SRPMRELEASE["virtualbox-extension-pack"]=2mamba
fi
# win32codecs
SRPMVERSION["win32codecs"]=20110131
SRPMRELEASE["win32codecs"]=1mamba
# chromium-pepper-flash
if [ ! "$SRPMCHECK" -o "$SRPMCHECK" = "chromium-pepper-flash" ]; then
SRPMVERSION["chromium-pepper-flash"]="`curl --max-time 20 -sL http://www.adobe.com/software/flash/about/ | grep -A15 "Linux" | grep -A3 "Opera.*PPAPI" | grep "[0-9]\.[0-9]\.[0-9]" | sed -e 's/[[:space:]]*<[^>][^>]*>//g;s/[[:space:]]//' 2>/dev/null`"
SRPMRELEASE["chromium-pepper-flash"]=1mamba
fi
# chromium-widevine
if [ "`uname -m`" == "x86_64" ]; then
SRPMVERSION["chromium-widevine"]="`curl --max-time 20 -sL https://cdn.openmamba.org/pub/openmamba/devel/SRPMS.base/ | grep \"chromium-.*mamba.src.rpm\" | sed 's|.*\"chromium-\([0-9.]*\)-.*|\1|'`"
else
SRPMVERSION["chromium-widevine"]="0"
fi
SRPMRELEASE["chromium-widevine"]=4mamba

View File

@ -1,5 +0,0 @@
# sun-java7
if [ ! "$SRPMCHECK" -o "$SRPMCHECK" = "sun-java7" ]; then
SRPMVERSION["sun-java7"]="`curl --max-time 20 -s http://www.oracle.com/technetwork/java/javase/downloads/jdk7-arm-downloads-2187468.html|grep "Linux ARM.*arm-vfp-sflt.tar.gz"|tail -n1|sed "s|.*/java/jdk/\([a-zA-Z0-9-]*\).*/jdk-.*|\1|;s|-|_|" 2>/dev/null`"
SRPMRELEASE["sun-java7"]=1mamba
fi

View File

@ -1,2 +0,0 @@
%lang(es) /opt/kde3/share/locale/es/LC_MESSAGES/bootrecover.mo
%lang(it) /opt/kde3/share/locale/it/LC_MESSAGES/bootrecover.mo

View File

@ -1,12 +0,0 @@
[Desktop Entry]
Encoding=UTF-8
Type=Directory
Name=System start logs
Name[es]=Inicio del sistema
Name[it]=Avvio del sistema
Name[fr]=Démarrage du système
Comment=Information on system startup
Comment[es]=Mensajes de inicio del sistema
Comment[it]=Informazioni sull'avvio del sistema
Comment[fr]=Informations du démarrage du système
Icon=utilities-log-viewer

View File

@ -1,8 +0,0 @@
[Desktop Entry]
Encoding=UTF-8
Type=Directory
Name=Network software installation
Name[es]=Instala el software por red
Name[it]=Installazione di software dalla rete
Name[fr]=Installation du logiciel depuis le réseau
Icon=distromenu-netinstall

View File

@ -1,6 +0,0 @@
[Desktop Entry]
Encoding=UTF-8
Type=Directory
Name=@distroID@
Icon=@distroicon@
SortOrder=

View File

@ -1,18 +0,0 @@
<!DOCTYPE Menu PUBLIC "-//freedesktop//DTD Menu 1.0//EN"
"http://www.freedesktop.org/standards/menu-spec/1.0/menu.dtd">
<Menu><Name>Applications</Name>
<Menu><Name>System</Name>
<Menu><Name>@distroID@</Name>
<Directory>@distroID@.directory</Directory>
<Include><Category>X-@distroID@</Category></Include>
<Menu><Name>Network software installation</Name>
<Directory>@distroID@-NetInstall.directory</Directory>
<Include><Category>X-@distroID@-NetInstall</Category></Include>
</Menu>
<Menu><Name>System start logs</Name>
<Directory>@distroID@-Logs.directory</Directory>
<Include><Category>X-@distroID@-Logs</Category></Include>
</Menu>
</Menu>
</Menu>
</Menu>

View File

@ -1,19 +0,0 @@
[Desktop Entry]
Name=Install Broadcom B43 wireless firmware
Name[es]=Instala el Broadcom B43 firmware
Name[fr]=Installation du firmware Broadcom B43
Name[it]=Installa il firmware per Broadcom B43
Comment=Install Broacom B43 wireless firmware from network
Comment[es]=Instala el Broadcom B43 firmware por red
Comment[fr]=Installation du Broadcom B43 firmware depuis le réseau
Comment[it]=Installa il firmware Broadcom B43 dalla rete
Encoding=UTF-8
Exec=@bindir@/openmamba-netsrpms b43-firmware
Icon=network-wireless
MimeType=
Path=
StartupNotify=false
Terminal=false
TerminalOptions=
Type=Application
Categories=X-@distroID@-NetInstall;

View File

@ -1,15 +0,0 @@
[Desktop Entry]
Name=Google Chrome's pepper-flash plugin
Name[it]=Plugin pepper-flash da Google Chrome
Comment=Install pepper-flash plugin from network
Comment[it]=Installa il plugin pepper-flash dalla rete
Encoding=UTF-8
Exec=@bindir@/openmamba-netsrpms chromium-pepper-flash
Icon=distromenu-chromium
MimeType=
Path=
StartupNotify=false
Terminal=false
TerminalOptions=
Type=Application
Categories=X-@distroID@-NetInstall;

View File

@ -1,15 +0,0 @@
[Desktop Entry]
Name=Google Chrome's Widevine plugin
Name[it]=Plugin Widevine da Google Chrome
Comment=Install Widevine plugin from network
Comment[it]=Installa il plugin Widevine dalla rete
Encoding=UTF-8
Exec=@bindir@/openmamba-netsrpms chromium-widevine
Icon=distromenu-chromium
MimeType=
Path=
StartupNotify=false
Terminal=false
TerminalOptions=
Type=Application
Categories=X-@distroID@-NetInstall;

View File

@ -1,19 +0,0 @@
[Desktop Entry]
Name=Install Flash plugin
Name[es]=Instala el plugin Flash
Name[fr]=Installation du plugin Flash
Name[it]=Installa il plugin Flash
Comment=Install Flash plugin from network
Comment[es]=Instala el plugin Flash por red
Comment[fr]=Installation du plugin Flash depuis le réseau
Comment[it]=Installa il plugin Flash dalla rete
Encoding=UTF-8
Exec=@bindir@/openmamba-netsrpms flashplugin
Icon=distromenu-flash
MimeType=
Path=
StartupNotify=false
Terminal=false
TerminalOptions=
Type=Application
Categories=X-@distroID@-NetInstall;

View File

@ -1,15 +0,0 @@
[Desktop Entry]
Encoding=UTF-8
Type=Application
Name=Install Java Runtime Environment (JRE)
Name[es]=Instala el Runtime Environment (JRE)
Name[it]=Installa il Java Runtime Environment (JRE)
Name[fr]=Installation du Java Runtime Environment (JRE)
Comment=Install Java Runtime Environment (JRE) from network
Comment[es]=Instala el Java Runtime Environment (JRE) por red
Comment[it]=Installa il Java Runtime Environment (JRE) dalla rete
Comment[fr]=Installation du Java Runtime Environment (JRE) depuis le réseau
Exec=@bindir@/openmamba-netsrpms jre
Icon=distromenu-java
Categories=X-@distroID@-NetInstall;
StartupNotify=false

View File

@ -1,15 +0,0 @@
[Desktop Entry]
Encoding=UTF-8
Type=Application
Name=Install MS TrueType Core fonts
Name[es]=Instala las fuentes MS TrueType
Name[it]=Installa i font MS TrueType
Name[fr]=Installation des polices MS TrueType
Comment=Install MS TrueType Core Fonts for the Web
Comment[es]=Instala las fuentes MS TrueType para el Web
Comment[it]=Installa i font MS TrueType per il Web
Comment[fr]=Installation des polices MS TrueType pour le Web
Exec=@bindir@/openmamba-netsrpms msttcorefonts
Icon=fonts-package
Categories=X-@distroID@-NetInstall;
StartupNotify=false

View File

@ -1,19 +0,0 @@
[Desktop Entry]
Name=Install Skype
Name[es]=Instala Skype
Name[fr]=Installation du Skype
Name[it]=Installa Skype
Comment=Install Skype from network
Comment[es]=Instala Skype por red
Comment[fr]=Installation du Skype depuis le réseau
Comment[it]=Installa Skype dalla rete
Encoding=UTF-8
Exec=@bindir@/openmamba-netsrpms skype
Icon=distromenu-skype
MimeType=
Path=
StartupNotify=false
Terminal=false
TerminalOptions=
Type=Application
Categories=X-@distroID@-NetInstall;

View File

@ -1,19 +0,0 @@
[Desktop Entry]
Name=Install Spotify
Name[es]=Instala Spotify
Name[fr]=Installation du Spotify
Name[it]=Installa Spotify
Comment=Install Spotify from network
Comment[es]=Instala Spotify por red
Comment[fr]=Installation du Spotify depuis le réseau
Comment[it]=Installa Spotify dalla rete
Encoding=UTF-8
Exec=@bindir@/openmamba-netsrpms spotify
Icon=distromenu-spotify
MimeType=
Path=
StartupNotify=false
Terminal=false
TerminalOptions=
Type=Application
Categories=X-@distroID@-NetInstall;

View File

@ -1,19 +0,0 @@
[Desktop Entry]
Name=Install Sun Java
Name[es]=Instala Sun Java
Name[fr]=Installation du Sun Java
Name[it]=Installa Sun Java
Comment=Install Sun Java from network
Comment[es]=Instala Sun Java por red
Comment[fr]=Installation du Sun Java depuis le réseau
Comment[it]=Installa Sun Java dalla rete
Encoding=UTF-8
Exec=@bindir@/openmamba-netsrpms sun-java
Icon=distromenu-java
MimeType=
Path=
StartupNotify=false
Terminal=false
TerminalOptions=
Type=Application
Categories=X-@distroID@-NetInstall;

View File

@ -1,19 +0,0 @@
[Desktop Entry]
Name=Install VirtualBox Extension Pack
Name[es]=Instala el VirtualBox Extension Pack
Name[fr]=Installation du VirtualBox Extension Pack
Name[it]=Installa il VirtualBox Extension Pack
Comment=Install VirtualBox Extension Pack from network
Comment[es]=Instala el VirtualBox Extension Pack por red
Comment[fr]=Installation du VirtualBox Extension Pack depuis le réseau
Comment[it]=Installa il VirtualBox Extension Pack dalla rete
Encoding=UTF-8
Exec=@bindir@/openmamba-netsrpms virtualbox-extension-pack
Icon=VBox
MimeType=
Path=
StartupNotify=false
Terminal=false
TerminalOptions=
Type=Application
Categories=X-@distroID@-NetInstall;

View File

@ -1,15 +0,0 @@
[Desktop Entry]
Encoding=UTF-8
Type=Application
Name=Install/update Win32 Codecs
Name[es]=Instala y pon al día los Win32 codecs
Name[it]=Installa ed aggiorna i Win32 codec
Name[fr]=Installation et mise à jour des codecs Win32
Comment=Install the multimedia win32 codecs
Comment[es]=Instala y pon al día los Win32 codecs multimediales
Comment[it]=Installa ed aggiorna i codec multimediali Win32
Comment[fr]=Installation et mise à jour des codecs multimédias Win32
Exec=@bindir@/openmamba-netsrpms win32codecs
Icon=applications-multimedia
Categories=X-@distroID@-NetInstall;
StartupNotify=false

View File

@ -1,173 +0,0 @@
#!/bin/bash
#
# netsrpm-install.sh - Build srpms that download sources from network
#
# Copyright (C) 2003-2019 by Silvan Calarco <silvan.calarco@mambasoft.it>
# Copyright (C) 2005 by Massimo Pintore <massimo.pintore@qilinux.it>
# Copyright (C) 2005-2007 by Davide Madrisan <davide.madrisan@qilinux.it>
TEXTDOMAINDIR=/usr/share/locale/
TEXTDOMAIN=openmamba-update
me="${0##*/}"
DISTRO_SRPMS_DIR=/usr/share/openmamba/SRPMS
rpmdir=$(rpm --eval=%{_rpmdir} 2>/dev/null)
while [ "$1" ]; do
case $1 in
-c) CHECK_MODE=1 ;;
-f) FORCE_MODE=1 ;;
-u) UPGRADE_MODE=1 ;;
-h|--help) PACKAGES= ; break ;;
-*) echo $"Error: invalid option $1; aborting."; exit 1 ;;
*) PACKAGES="$PACKAGES $1"
esac
shift
done
if [ -z "$PACKAGES" ]; then
echo $"Usage:
$me [options...] pkgname ...
Options:
-c: only check and exit (returns: 0: up-to-date; 1: needs update; 2: not installed)
-f: force reinstallation if already installed
-u: only upgrade if already installed
"
exit 255
fi
function check_if_already_installed() {
rpm -q $1-$2 &>/dev/null
return $?
}
declare -A SRPMVERSION SRPMRELEASE
for pckname in $PACKAGES; do
export SRPMCHECK="$pckname"
. /etc/sysconfig/netsrpminstall || exit 1
SRPM_PATH=$DISTRO_SRPMS_DIR/${pckname}
SPEC_PATHNAME=$SRPM_PATH/${pckname}.spec
[ -r "$SPEC_PATHNAME" ] || {
echo $"$me: $pckname is missing in $DISTRO_SRPMS_DIR; aborting."
exit 255
}
icon=`grep Icon= /usr/share/applications/openmamba-$pckname.desktop | sed "s|Icon=||"`
SRPMVER="${SRPMVERSION[${pckname}]}"
if [ "$SRPMVER" ]; then
SRPM_VERSION=${SRPMVER}-${SRPMRELEASE[${pckname}]}
else
SRPM_VERSION=
fi
RPM_INSTALLED=`rpm -q $pckname`
[ $? -eq 0 ] || RPM_INSTALLED=
RPM_INSTALLED_VERSION=`\
echo $RPM_INSTALLED | \
sed "s|${pckname//+/\\+}-\([^-]*-[^-]*\)\..*|\1|" 2>/dev/null`
echo $"Package name: $pckname"
echo $"Installed version: $RPM_INSTALLED_VERSION"
echo $"Last version: $SRPM_VERSION"
echo
if [ "$SRPM_VERSION" -a "$RPM_INSTALLED_VERSION" != "$SRPM_VERSION" ]; then
if [ "$RPM_INSTALLED_VERSION" ]; then
UPDATE_NEEDED=1
elif [ "$UPGRADE_MODE" ]; then
continue
fi
elif [ ! "$FORCE_MODE" -a "$SRPM_VERSION" ]; then
continue
fi
if [ ! "$CHECK_MODE" ]; then
if [ -f ${SRPM_PATH}/LICENSE ]; then
if [ "$DISPLAY" ]; then
license-dialog ${SRPM_PATH}/LICENSE
[ $? -ne 0 ] && exit 1
else
echo $"You must accept the following license terms:"
echo
more ${SRPM_PATH}/LICENSE
echo -n $"Do you agree with the above license terms [y/N]? "
read ans
[ "$ans" = "Y" -o "$ans" = "y" -o "$ans" = "s" -o "$ans" = "S" ] || exit 1
fi
fi
notify-send -a $"Network software installation" -i $icon "$pckname" $"$pckname installation in progress..."
# build rpm
tmpfile=`mktemp -q -t $me.XXXXXXXX` || {
echo "$me: "$"error: cannot create temporary files; aborting."
exit 255
}
tmpdir=`mktemp -d -q -t $me.XXXXXXXX` || {
echo "$me: "$"error: cannot create temporary directory; aborting."
exit 255
}
echo "$me: "$"rebuilding package \`$pckname'..."
sed "s|@SRPMVERSION@|${SRPMVERSION[${pckname}]}|g;s|@SRPMRELEASE@|${SRPMRELEASE[${pckname}]}|g" \
${SPEC_PATHNAME} >> $tmpfile
rpmbuild --ba \
--define="%_rpmdir $tmpdir" \
--define="%_sourcedir ${SRPM_PATH}" \
$tmpfile
if [ $? -gt 0 ]; then
echo "$me: "$"error rebuilding \`$pckname'."" "$"Aborting..." >&2
notify-send -a $"Network software installation" -i $icon "$pckname" $"There was an error building"" $pckname!"
exit 255
fi
RPM_PATH=`find $tmpdir -name \*.rpm`
# install rpm
if [ "$FORCE_MODE" = "1" ]; then
pkcon remove -y $pckname
fi
pkcon install-local -y $RPM_PATH
if [ $? -gt 0 ]; then
echo "$me: "$"error installing \`$RPM_PATH'."" "$"Aborting..." >&2
check_if_already_installed $pckname $SRPM_VERSION
if [ $? -eq 0 ]; then
notify-send -a $"Network software installation" -i $icon "$pckname" "$pckname: "$"already installed."
else
notify-send -a $"Network software installation" -i $icon "$pckname" $"There was an error installing"" $pckname!"
fi
exit 255
fi
rpm -q $pckname 2>/dev/null
if [ $? -eq 0 ]; then
notify-send -a $"Network software installation" -i $icon "$pckname" $"Installation of $pckname successfully completed."
else
notify-send -a $"Network software installation" -i $icon "$pckname" $"There was an error installing $pckname!"
fi
rm -rf $tmpdir $tmpfile
fi
done
if [ "$CHECK_MODE" ]; then
if [ "$UPDATE_NEEDED" ]; then
echo $"Update needed."
exit 1
fi
rpm -q $pckname > /dev/null
if [ $? -eq 1 ]; then
echo $"Not installed."
exit 2
fi
fi
exit 0